Subject: bug#16470: 24.3.50; term mode and newlines with some window configurations

From: Constantine Vetoshev <[email-masked]>
Date: Sun, 19 Jan 2014 08:11:36 -0800

On Jan 19, 2014, at 01:31, martin rudalics <[email-masked]> wrote:

> Looking into this again, I decided to change `term-window-width'.
> 
> The reason is that `window-body-height' already rounds up and
> `window-text-height' rounds down.  Doing things differently for
> `window-body-width' and `window-text-width' doesn't sound like a good
> idea.
> 
> Committed in revision 116069 on trunk.  Please check.

Your fix works and makes sense. The documentation of window-width says: "[If] a column at the right of the text area is only partially visible, that counts as a whole column; to exclude partially-visible columns, use `window-text-width'."

However, doesn't that imply that the alternate clause of the if in term-window-width should also use window-text-width? If I turn off fringes using (set-fringe-mode 0), the bug comes back. I know term-window-width already does an explicit decrement from (window-width) in that case, but that does not seem sufficient. Switching that call to (window-text-width) and keeping the decrement works, however.